/** @format */

import * as React from 'react';
import Select from './select';
import {useParmasRuleList} from '../../service/baseApi';
interface Iprops {
    onChange?: () => void;
}
export default React.forwardRef((props: Iprops, ref) => {
    const [state, requestData] = useParmasRuleList();
    return <Select ref={ref} {...props} options={state.dataSource} loading={state.loading} />;
});
